%define name  nedit

Summary:   Motif/X windows GUI editor
Name:      %{name}
Version:   5.02
Release:   2
Source:    ftp://ftp.fnal.gov/pub/nedit/v5_0_2/nedit_source.tar.gz
Source1:   nedit_kde.tar.gz
Copyright: distributable
Group:     Applications/Editors
URL:       http://www-pat.fnal.gov/nirvana/nedit.html
Buildroot: /var/tmp/%{name}-buildroot

%description
NEdit is a GUI style plain-text editor for X/Motif systems. 
It is very easy to use, especially for those familiar 
with the Macintosh or MS Windows style of interface, combining 
full use of the mouse and window manager, with keystroke efficiency and a 
full complement of powerful editing commands. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -c -n nedit
%build
make linux_nedit

%install
install -d $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -s source/{nedit,nc} $RPM_BUILD_ROOT/usr/X11R6/bin
install nedit.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/nedit.1x
install nc.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/nc.1x

mkdir -p $RPM_BUILD_ROOT/usr/share
cd  $RPM_BUILD_ROOT/usr/share
tar -xzvf $RPM_SOURCE_DIR/nedit_kde.tar.gz

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/man\//s|^|%doc|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%attr(-, root, root)  %doc nedit.doc README


%changelog
* Tue May 25 1999 Gerald Teschl <gerald@esi.ac.at>
- Included files for kde
* Fri Nov 20 1998 Gerald Teschl <gerald@esi.ac.at>
- Updated to nedit 5.02
* Sat Mar 07 1998 Troy Benjegedes <troybenj@iastate.edu>
- Updated to nedit 5.01 (crashing bugfixes for Linux)
* Wed Jul 23 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- all rewrited for using Buildroot,
- removed %ifarch from %prep; removed paching source,
- nedit is dynamically linked with lesstif,
- removed "ExclusiveArch: i386",
- added %attr macros in %files (allow build package from non root account).
